
<?php

class Boletos
{
    public function boletosVencimentos($loja, $dataInicio,$dataFim)
    {

            if ($loja == 'TODAS'){

                $lojaConsulta = "CONTA.LojaOrigem IS NOT NULL";

            }else{
                $lojaConsulta = "CONTA.LojaOrigem = '$loja'";
            }

        try {
            $Conexao = Conexao::getConnection();
            //QUERY DA SQL
            $query = $Conexao->query("

                SELECT
                
                CONTA.Histórico,
                CONTA.Categoria,
                SUBCATEGORIA.Nomes,
                CONTA.NumeroDoc,
                CONTA.DtEmissão,
                CONTA.[Valor Nota],
                CONTA.[Tipo Documento],
                CONTA.Lancamento_Usuario,
                CONTA.Lancamento_DataHora,
                CONTA.LojaOrigem,

                BOLETOS.Ordem,
                BOLETOS.Valor2,
                BOLETOS.Vencimento,

                -- CAMPOS DE BAIXA
                BOLETOS.[Data de Pagamento],
                BOLETOS.[Valor Pago],
                BOLETOS.[Forma Pagto],
                BOLETOS.Conta,
                BOLETOS.Obs2,
                BOLETOS.Lacrar,
                BOLETOS.Pago,
                BOLETOS.Baixa_DataHora,
                BOLETOS.Baixa_Usuario,
                BOLETOS.MovimentacaoId,
                BOLETOS.DuplicataPendenteCP

                FROM

                [contas a pagar] AS CONTA
                JOIN ContasaPagarVencimentos AS BOLETOS
                ON CONTA.Registro = BOLETOS.Registro

                JOIN Categorias_SubCategorias AS SUBCATEGORIA
                ON CONTA.SubCategoria = SUBCATEGORIA.Registro

                WHERE

                $lojaConsulta

                AND BOLETOS.Vencimento BETWEEN '$dataInicio' AND '$dataFim'
                AND BOLETOS.Lacrar = 0
                
                AND BOLETOS.Excluido = 0

            ");//FIM DA QUERY

            $sqlserver = $query->fetchAll();

        } catch (Exception $e) {

            echo $e->getMessage();
            exit;
        }

        return $sqlserver;
    }

    public function baixarBoleto($dataPagamento,$valor,$lojaOrigem,$usuario,$ordem,$dataAtualHora,$formaPagamento)
    {
        switch ($lojaOrigem) {
            case "MATRIZ":
                $conta = 'ITAU LOJA 01';
                break;
            case "LOJA 02":
                $conta = 'ITAU LOJA 02';
                break;
            case "LOJA 03":
                $conta = 'ITAU LOJA 03';
                break;
            case "LOJA 04":
                $conta = 'ITAU LOJA 04';
                break;
            case "LOJA 05":
                $conta = 'ITAU LOJA 05';
                break;
            case "LOJA 06":
                $conta = 'ITAU LOJA 06';
                break;
        }
        
           
        try {
            $Conexao = Conexao::getConnection();

            $query = $Conexao->query("
            
            UPDATE ContasaPagarVencimentos SET 

            -- CAMPOS DE BAIXA
            [Data de Pagamento] = '$dataPagamento',
            [Valor Pago] = '$valor',

            [Forma Pagto] = '$formaPagamento',
            
            Conta = '$conta',
            
            Lacrar = 1,
            Pago = 1,
            Baixa_DataHora = '$dataAtualHora',
            Baixa_Usuario = '$usuario'

            WHERE

            Ordem = '$ordem'

            ");

        } catch (Exception $e) {

            echo $e->getMessage();
            exit;
        }
    }

     public function boletoPorNumero($ordem)
    {
        try {
            $Conexao = Conexao::getConnection();
            //QUERY DA SQL
            $query = $Conexao->query("

                SELECT


                CONTA.Histórico,
                BOLETOS.Valor2,
                CONTA.LojaOrigem

                FROM

                [contas a pagar] AS CONTA
                JOIN ContasaPagarVencimentos AS BOLETOS
                ON CONTA.Registro = BOLETOS.Registro

                WHERE

                BOLETOS.Ordem = '$ordem'

            ");//FIM DA QUERY

            $sqlserver = $query->fetchAll();

        } catch (Exception $e) {

            echo $e->getMessage();
            exit;
        }

        //foreach ($sqlserver as $value) { return $value[0];}

        return $sqlserver;
    }




         public function baixasDodia()
    {
        try {
            $Conexao = Conexao::getConnection();
            //QUERY DA SQL
            $query = $Conexao->query("



                            select 

            MIN(contas.LojaOrigem) as loja,
            SUM(boletos.valor2) as valor


            from ContasaPagarVencimentos as boletos
            join [contas a pagar] as contas

            on boletos.Registro = contas.Registro


            where Excluido = 0 AND Vencimento = CAST(GETDATE() AS DATE) AND Lacrar = 0

            group by contas.LojaOrigem

                

            ");//FIM DA QUERY

            $sqlserver = $query->fetchAll();

        } catch (Exception $e) {

            echo $e->getMessage();
            exit;
        }

        //foreach ($sqlserver as $value) { return $value[0];}

        return $sqlserver;
    }







}